- Qt 5.15
- Qt Core
- C++ Classes
- key_iterator
- Qt 5.15.19 Reference Documentation

# Obsolete Members for key_iterator

The following members of class key_iterator are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` key_iterator & | operator--()
`(obsolete)` key_iterator | operator--(int)

## Member Function Documentation

### key_iterator &key_iterator::operator--()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This operator is deprecated in order to align with std::unordered_map functionality.

The prefix -- operator (`--i`) makes the preceding item current and returns an iterator pointing to the new current item.

Calling this function on QHash::keyBegin() leads to undefined results.

See also operator++().

### key_iterator key_iterator::operator--(int)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This operator is deprecated in order to align with std::unordered_map functionality.

This is an overloaded function.

The postfix -- operator (`i--`) makes the preceding item current and returns an iterator pointing to the previous item.